## jxtray.connection
Class DriverInfo

    java.lang.Object
      jxtray.connection.DriverInfo

public class DriverInfo
extends java.lang.Object

Information about drivers

Constructor Summary
`DriverInfo()`

Method Summary
`protected void` `finalize()` Memory managment
`java.lang.String` `getClassname()`
`java.lang.String` `getName()`
`java.lang.String` `getPathfile()` Return the path file
`java.lang.String` `getUrl()`
`java.lang.String` `getWebsite()`
`void` `setClassname(java.lang.String classname)` Specfy the classname.
`void` `setName(java.lang.String name)` Specify the driver name
`void` `setPathfile(java.lang.String pathfile)` Spécify where the file contained drivers is located
`void` `setUrl(java.lang.String url)` Spécify an JDBC example URL
`void` `setWebsite(java.lang.String website)` Spécify the website where driver can be downloaded.

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DriverInfo

    public DriverInfo()

Method Detail

### getClassname

    public java.lang.String getClassname()

  Returns:
    String

### setClassname

    public void setClassname(java.lang.String classname)

  Specfy the classname.

  Parameters:
    `classname` -

### getName

    public java.lang.String getName()

  Returns:
    String

### setName

    public void setName(java.lang.String name)

  Specify the driver name

  Parameters:
    `name` -

### getUrl

    public java.lang.String getUrl()

  Returns:
    String

### setUrl

    public void setUrl(java.lang.String url)

  Spécify an JDBC example URL

  Parameters:
    `url` -

### getWebsite

    public java.lang.String getWebsite()

  Returns:
    String

### setWebsite

    public void setWebsite(java.lang.String website)

  Spécify the website where driver can be downloaded.

  Parameters:
    `website` -

### finalize

    protected void finalize()
                     throws java.lang.Throwable

  Memory managment

  Throws:
    `java.lang.Throwable`

### getPathfile

    public java.lang.String getPathfile()

  Return the path file

  Returns:
    String

### setPathfile

    public void setPathfile(java.lang.String pathfile)

  Spécify where the file contained drivers is located

  Parameters:
    `pathfile` -